package com.bcxin.Infrastructures.enums;

/**
 * 审核状态
 */
public enum ApprovedStatus {
    /**
     * 初始化
     */
    Init{
        @Override
        public String getTypeName(){return "初始化";}
    },
    /**
     * 审批通过
     */
    Passed{
        @Override
        public String getTypeName(){return "审批通过";}
    },
    /**
     * 审批未通过
     */
    NoPassed{
        @Override
        public String getTypeName(){return "审批未通过";}
    };


    public abstract String getTypeName();
}
