package com.bcxin.Infrastructures.enums;

public enum InvitedType implements SwaggerDisplayEnum {
    /**
     * 邀请入职
     */
    InviteDepart{
        @Override
        public String getTypeName(){return "邀请入职";}

        @Override
        public boolean isIdentityNo() {
            return false;
        }
    },
    /**
     * 邀请驻勤
     */
    InviteAttend{
        @Override
        public String getTypeName(){return "邀请驻勤";}

        @Override
        public boolean isIdentityNo() {
            return false;
        }
    },
    /**
     * 政务网申报
     */
    InviteGovDeclare{
        @Override
        public String getTypeName(){return "政务网申报";}

        @Override
        public boolean isIdentityNo() {
            return false;
        }
    };

    public abstract String getTypeName();

    public abstract boolean isIdentityNo();

    @Override
    public String description() {
        return this.ordinal() + "-" + this.getTypeName();
    }
}
